%define oname tenacity
%define pypi_name tenacity
%def_with python3

# asyncio for python3 only
%add_python_req_skip asyncio

Name: python-module-%oname
Version: 4.8.0
Release: alt2
Summary: Retrying library
Group: Development/Python
License: ASL 2.0
Url: https://github.com/jd/tenacity
Source: %oname-%version.tar.gz
Patch: tenacity-fix-py2.patch
Patch2: tenacity-dont-fall-on-old-tornado.patch
BuildArch: noarch

BuildRequires: python-devel
BuildRequires: python-module-setuptools
BuildRequires: python-module-six >= 1.9.0
BuildRequires: python-module-pbr
BuildRequires: python-module-futures >= 3.0
BuildRequires: python-module-monotonic >= 0.6

%if_with python3
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-devel
BuildRequires: python3-module-setuptools
BuildRequires: python3-module-six >= 1.9.0
BuildRequires: python3-module-pbr
BuildRequires: python3-module-monotonic >= 0.6
%endif

%description
Tenacity is an Apache 2.0 licensed general-purpose
retrying library, written in Python, to simplify the task
of adding retry behavior to just about anything.
It originates from a fork of Retrying

%package tests
Summary: Tests for %oname
Group: Development/Python
Requires: %name = %EVR

%description tests
This package contains tests for %oname.

%package -n python3-module-%oname
Summary: Retrying library
Group: Development/Python3

%description -n python3-module-%oname
Tenacity is an Apache 2.0 licensed general-purpose
retrying library, written in Python, to simplify the task
of adding retry behavior to just about anything.
It originates from a fork of Retrying

%package -n python3-module-%oname-tests
Summary: Tests for %oname
Group: Development/Python3
Requires: python3-module-%oname = %EVR

%description -n python3-module-%oname-tests
This package contains tests for %oname.


%prep
%setup -n %oname-%version
%patch -p1
%patch2 -p1

# Remove bundled egg-info
rm -rf %oname.egg-info
%if_with python3
rm -rf ../python3
cp -a . ../python3
%endif


%build
%python_build
%if_with python3
pushd ../python3
%python3_build
popd
%endif

%install
%python_install
for file in async.py tests/test_async.py; do
  rm %buildroot/%python_sitelibdir/%pypi_name/$file
done
%if_with python3
pushd ../python3
%python3_install
popd
%endif

%check
#%%if_with python3
# XXX: fails under python3
#pushd ../python3
#%%__python3 setup.py test
#%%__python3 -m unittest
#popd
#%%endif
%__python setup.py test

%files
%doc README.rst LICENSE AUTHORS ChangeLog
%python_sitelibdir/*
%exclude %python_sitelibdir/*/tests

%files tests
%python_sitelibdir/*/tests

%if_with python3
%files -n python3-module-%oname
%python3_sitelibdir/*
%exclude %python3_sitelibdir/*/tests

%files -n python3-module-%oname-tests
%python3_sitelibdir/*/tests
%endif

%changelog
* Mon Mar 18 2019 Lenar Shakirov <snejok@altlinux.ru> 4.8.0-alt2
- tenacity-dont-fall-on-old-tornado.patch added

* Mon Mar 04 2019 Lenar Shakirov <snejok@altlinux.ru> 4.8.0-alt1
- 4.8.0

* Fri Dec 07 2018 Alexey Shabalin <shaba@altlinux.org> 4.12.0-alt1
- 4.12.0

* Thu May 25 2017 Alexey Shabalin <shaba@altlinux.ru> 4.1.0-alt1
- initial build

